<?php

namespace App\Filament\Resources\Rooms\Schemas;

use Filament\Forms;
use Filament\Schemas\Schema;

class RoomForm
{
    public static function configure(Schema $schema): Schema
    {
        return $schema->components([
            Forms\Components\Select::make('hotel_id')
                ->relationship('hotel', 'name')
                ->required(),

            Forms\Components\TextInput::make('name')
                ->required(),

            Forms\Components\TextInput::make('floor')
                ->required(),

            Forms\Components\FileUpload::make('images')
                ->multiple(),

            Forms\Components\TextInput::make('bed_count')
                ->required()
                ->numeric()
                ->default(1),

            Forms\Components\Checkbox::make('wide')
                ->default(false)
                ->required(),
        ]);
    }
}
